# Uses of Class
org.springframework.aot.generate.DefaultGenerationContext

Packages that use DefaultGenerationContext
Package
Description
org.springframework.aot.generate
Support classes for components that contribute generated code equivalent to a runtime behavior.

## Uses of DefaultGenerationContext in org.springframework.aot.generate

Methods in org.springframework.aot.generate that return DefaultGenerationContext
Modifier and Type
Method
Description
`DefaultGenerationContext`
DefaultGenerationContext.`withName(String name)`
Constructors in org.springframework.aot.generate with parameters of type DefaultGenerationContext
Modifier
Constructor
Description
`protected`
`DefaultGenerationContext(DefaultGenerationContext existing, String featureName)`
Create a new `DefaultGenerationContext` instance based on the supplied `existing` context and feature name.